- NAME
- SYNOPSIS
- DESCRIPTION
- ARGUMENTS
- LIMITATIONS
- SEE ALSO

# NAME

stag-join.pl - joins two stag files together based around common key

# SYNOPSIS

      stag-join.pl  -w xml country/city_id=capital/capital_id countries.xml capitals.xml

      stag-join.pl  -w itext gene/tax_id=species/tax_id genedb.itext speciesdb.itext

# DESCRIPTION

Performs a relational-style INNER JOIN between two stag trees; this effectively merges two files together, based on some kind of ID in the file

# ARGUMENTS

-p|parser FORMAT
  FORMAT is one of xml, sxpr or itext, or the name of a perl module

  xml assumed as default

-w|writer FORMAT
  FORMAT is one of xml, sxpr or itext, or the name of a perl module

# LIMITATIONS

currently not event based, so may not be memory efficicent. could be easily rewritten to be event based

# SEE ALSO

the Data::Stag manpage

This script is a wrapper for the method

      Data::Stag->ijoin()

    =cut